require "editor"

function love.load()
	love.graphics.setDefaultFilter("nearest")
	transx = 125
	transy = 50
	scale = 1

	editorLoad()
	setupTileInfo(14, 14, 1)
	loadTerrainTiles()
	createNewMap(50, 30)
	
end

function love.update(dt)
	paintMap()
	
	
	if scale == 2 then
		if love.keyboard.isDown("right") then
			if transx > (width * mapWidth) - 842  then
				transx = transx - (150 * dt)
			end
		elseif love.keyboard.isDown("left") then
			if transx < -width + 5 then
				transx = transx + (150 * dt)
			end
		end
		if love.keyboard.isDown("down") then
			if transy > (height * mapHeight) - 575  then
				transy = transy - (150 * dt)
			end
		elseif love.keyboard.isDown("up") then
			if transy < -height + 1 then
				transy = transy + (150 * dt)
			end
		end
	end
end

function love.draw()
	
	love.graphics.setBackgroundColor(0,0,155)

	love.graphics.push()
	love.graphics.scale(scale)
	love.graphics.translate(transx,transy)
	drawMap()
	love.graphics.pop()
	
	
	drawMenu()
	love.graphics.setColor(255,255,255)
	
end

function love.mousepressed(x, y)
	ClickMap(x, y)
	clickMenu(x, y)
end

function love.keypressed(key)
	
end